CREATE TABLE hwm_rule_tmplt_usages_tl (
    RULE_TMPLT_USAGES_ID     NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    USER_DEFINED_OUT_NAME    VARCHAR2(480) ,
    OUT_NAME_DESCRIPTION     VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    RULE_TMPLT_USAGES_ID     NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    USER_DEFINED_OUT_NAME    VARCHAR2(480) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OUT_NAME_DESCRIPTION     VARCHAR2(4000),
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hwm_rule_tmplt_usages_tl PRIMARY KEY (RULE_TMPLT_USAGES_ID, LANGUAGE, RULE_TMPLT_USAGES_ID, LANGUAGE)
);
